libxml++: xmlpp::SchemaBase Class Reference

libxml++ 3.2.3

Public Member Functions | List of all members
xmlpp::SchemaBase Class Referenceabstract

Base class for schemas, used for validation of XML files. More...

`#include <libxml++/schemabase.h>`

Inheritance diagram for xmlpp::SchemaBase:
[legend]

## Public Member Functions
| SchemaBase () noexcept
| ~SchemaBase () override
virtual void | parse_document (const Document* document)=0
| Parse a schema definition from a document. More...
virtual void | parse_file (const std::string& filename)=0
| Parse a schema definition file. More...
virtual void | parse_memory (const Glib::ustring& contents)=0
| Parse a schema definition from a string. More...

## Additional Inherited Members
Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable () noexcept
| NonCopyable (const NonCopyable&)=delete
| NonCopyable (NonCopyable&&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete
NonCopyable& | operator= (NonCopyable&&)=delete

## Detailed Description

Base class for schemas, used for validation of XML files.

Since libxml++ 2.38:

## Constructor & Destructor Documentation

## ◆ SchemaBase()

xmlpp::SchemaBase::SchemaBase | ( |  | ) |
| noexcept

## ◆ ~SchemaBase()

xmlpp::SchemaBase::~SchemaBase | ( |  | ) |
| override

## Member Function Documentation

## ◆ parse_document()

virtual void xmlpp::SchemaBase::parse_document | ( | const Document* | document | ) |
| pure virtual

Parse a schema definition from a document.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  document | A preparsed document tree, containing the schema definition.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::XsdSchema, and xmlpp::RelaxNGSchema.

## ◆ parse_file()

virtual void xmlpp::SchemaBase::parse_file | ( | const std::string & | filename | ) |
| pure virtual

Parse a schema definition file.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  filename | The URL of the schema.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::XsdSchema, and xmlpp::RelaxNGSchema.

## ◆ parse_memory()

virtual void xmlpp::SchemaBase::parse_memory | ( | const Glib::ustring & | contents | ) |
| pure virtual

Parse a schema definition from a string.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  contents | The schema definition as a string.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::XsdSchema, and xmlpp::RelaxNGSchema.